package com.liang.service;

import com.liang.entity.StaOutPay;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageRequest;

import java.util.HashMap;
import java.util.List;

/**
 * 外委合同支付(StaOutPayService)表服务接口
 */
public interface StaOutPayService {
    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    StaOutPay queryById(Integer id);

    /**
     * 分页查询
     *
     * @param staOutPay   筛选条件
     * @param pageRequest 分页对象
     * @return 查询结果
     */
    Page<StaOutPay> queryByPage(StaOutPay staOutPay, PageRequest pageRequest);

    /**
     * 新增数据
     *
     * @param staOutPay 实例对象
     * @return 实例对象
     */
    int insert(StaOutPay staOutPay);

    /**
     * 修改数据
     *
     * @param staOutPay 实例对象
     * @return 实例对象
     */
    int update(StaOutPay staOutPay);

    /**
     * 通过主键删除数据
     *
     * @param id 主键
     * @return 是否成功
     */
    boolean deleteById(Integer id);

    /**
     * 通过主表删除数据
     *
     * @param zb
     * @return
     */
    int deleteByZb(Integer zb);

    /**
     * 批量删除外委合同支付
     *
     * @param zbList
     * @return
     */
    int batchDeleteByZb(List<Integer> zbList);

    /**
     * 批量插入外委合同支付
     *
     * @param expenseList
     * @return
     */
    int insertBatch(List<StaOutPay> expenseList);

    /**
     * 获取外委合同支付列表
     *
     * @return
     */
    List<StaOutPay> getWwhtList(Integer zb);

    /**
     * 查询全部外委合同支付费用
     *
     * @return
     */
    List<HashMap<String, String>> getAllOutPay();
}
